libpyside-py3-1.2_1.2.2+source1-3_i386.deb


Advertisement

Description

libpyside-py3-1.2 - Python3 bindings for Qt 4 (base files)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpyside-py3-1.2
Package version 1.2.2+source1
Package release 3
Package architecture i386
Package type deb
Installed size 202 B
Download size 71.46 KB
Official Mirror archive.ubuntu.com
Qt is a cross-platform C++ application framework. Qt's primary feature
is its rich set of widgets that provide standard GUI functionality.
This package contains base files used by all python3 modules.

Alternatives

Package Version Architecture Repository
libpyside-py3-1.2_1.2.2+source1-3_amd64.deb 1.2.2+source1 amd64 Ubuntu Universe
libpyside-py3-1.2 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libpython3.6 >= 3.6.0~b2
libqtcore4 >= 4:4.7.0
libshiboken-py3-1.2v5 >= 1.1.0
libstdc++6 >= 5.2

Download

Type URL
Binary Package libpyside-py3-1.2_1.2.2+source1-3_i386.deb
Source Package pyside

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpyside-py3-1.2 deb package:
    # sudo apt-get install libpyside-py3-1.2

Files

Path
/usr/lib/i386-linux-gnu/libpyside.cpython-36m-i386-linux-gnu.so.1.2
/usr/lib/i386-linux-gnu/libpyside.cpython-36m-i386-linux-gnu.so.1.2.2
/usr/share/doc/libpyside-py3-1.2/changelog.Debian.gz
/usr/share/doc/libpyside-py3-1.2/copyright
/usr/share/lintian/overrides/libpyside-py3-1.2

Changelog

2017-12-11 - Mattia Rizzolo <mattia@debian.org>
pyside (1.2.2+source1-3) unstable; urgency=medium
* Team upload.
* d/control: Add a bunch of Multi-Arch:same markers from the m-a hinter.
* Rebuild to drop dependencies on python3.5.
2017-10-25 - Mattia Rizzolo <mattia@debian.org>
pyside (1.2.2+source1-2) unstable; urgency=medium
* Team upload.
* Run wrap-and-sort.
* d/control:
+ Use build-profiles marker instead of comments to mark build-deps
used by tests.
+ Drop deprecated ${python:Provides}.
+ Add missing build-dep on rename.  Closes: #876645
2017-05-17 - Luke W Faraone <lfaraone@debian.org>
pyside (1.2.2+source1-1) unstable; urgency=high
[ Ondřej Nový ]
* Fixed VCS URL (https)
[ Didier Raboud ]
* Remove myself from Uploaders.
[ Luke W Faraone ]
* Include a new upstream tarball for pyside-setup and use it to build
egg-info metadata (Closes: #744741)
* Run dh_install(1) for all packages, not just architecture-dependent ones
2015-10-03 - Scott Kitterman <scott@kitterman.com>
pyside (1.2.2-2) unstable; urgency=medium
* Team upload.
* Update debian/rules to use shiboken multiarch triplet names for python3.5
(Closes: #793669)
- Thanks to Iain Laine for the patch
2014-05-01 - Didier Raboud <odyx@debian.org>
pyside (1.2.2-1) unstable; urgency=medium
* New 1.2.2 upstream release 
- Bump B-Ds on shiboken to 1.2.2
- Update debian/control.in to cope with latest changes not synced
2014-03-20 - Didier Raboud <odyx@debian.org>
pyside (1.2.1-4) unstable; urgency=high
* Make the python3 modules renaming idempotent (Closes: #742130)
* Set urgency to high for fixing unuseable python3 modules in testing
2014-03-06 - Didier Raboud <odyx@debian.org>
pyside (1.2.1-3) unstable; urgency=medium
* Brown-paper-bag upload to fix sparc for real
* Mark the two AutoDecRef symbols optional
2014-03-05 - Didier Raboud <odyx@debian.org>
pyside (1.2.1-2) unstable; urgency=low
* Mark the AutoDecRef destructor symbol as optional as it chokes on sparc
* Bump Standards-Version to 3.9.5 without changes needed
2013-09-11 - Didier Raboud <odyx@debian.org>
pyside (1.2.1-1) unstable; urgency=low
* New 1.2.1 upstream release.
- Drop upstream-imported patches
- Bump B-Ds on shiboken to 1.2.1
- Bump libpyside SOVERSION to 1.2
- Replaced Nokia with Digia in debian/copyright
- Add one 1.2.1 new symbol
* Update debian/watch
2013-06-14 - Didier Raboud <odyx@debian.org>
pyside (1.1.2-4) unstable; urgency=low
[ Julian Taylor ]
* Update install files and debian/rules to account for removal of "u"
python3 abi flag.

See Also

Package Description
libpyside1.2_1.2.2+source1-3_i386.deb Python bindings for Qt 4 (base files)
libpythia8-dev_8.1.86-1.2_i386.deb PYTHIA event generator of high energy physics - development files
libpythia8v5_8.1.86-1.2_i386.deb PYTHIA event generator of high energy physics
libpython2.7-testsuite_2.7.15~rc1-1_all.deb Testsuite for the Python standard library (v2.7)
libpython3.7-dev_3.7.0~b3-1_i386.deb Header files and a static library for Python (v3.7)
libpython3.7-minimal_3.7.0~b3-1_i386.deb Minimal subset of the Python language (version 3.7)
libpython3.7-stdlib_3.7.0~b3-1_i386.deb Interactive high-level object-oriented language (standard library, version 3.7)
libpython3.7-testsuite_3.7.0~b3-1_all.deb Testsuite for the Python standard library (v3.7)
libpython3.7_3.7.0~b3-1_i386.deb Shared Python runtime library (version 3.7)
libpythonqt-qt5-common-dev_3.2-7build2_all.deb Dynamic Python binding for the Qt framework - development
libpythonqt-qt5-python2-3_3.2-7build2_i386.deb Dynamic Python binding for the Qt framework - runtime
libpythonqt-qt5-python2-dev_3.2-7build2_i386.deb Dynamic Python binding for the Qt framework - development
libpythonqt-qt5-python3-3_3.2-7build2_i386.deb Dynamic Python binding for the Qt framework - runtime
libpythonqt-qt5-python3-dev_3.2-7build2_i386.deb Dynamic Python binding for the Qt framework - development
libpythonqt-qtall-qt5-common-dev_3.2-7build2_all.deb Dynamic Python binding for the Qt framework - development
Advertisement
Advertisement